OracleAppJ2EEApplication (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.oracleapp.OracleAppJ2EEApplication interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.oracleapp
Interface OracleAppJ2EEApplication

All Superinterfaces:
  ConfigurationItem, J2EEApplication, J2EEDeployedObject, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, Provider, java.io.Serializable, SoftwareModule

    public interface OracleAppJ2EEApplication

extends J2EEApplication

OracleAppJ2EEApplication

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.Provider
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getApplicationRootDirectoryPath()`
`java.lang.String` | `getArchivePath()`
`java.lang.String` | `getChildApplicationNames()`
`OracleAppConnectorModule[]` | `getConnectorModules()`
`LogicalContent` | `getDataSourcesDescriptor()`
`LogicalContent` | `getDeploymentDescriptor()`
`OracleAppJDBCConnectionPool[]` | `getJdbcConnectionPools()`
`OracleAppJDBCDriver[]` | `getJdbcDrivers()`
`LogicalContent` | `getMetricRulesDescriptor()`
`java.lang.String` | `getNameAsParent()`
`boolean` | `getOhsRouting()`
`OracleAppJ2EEApplication` | `getParentApplication()`
`LogicalContent` | `getProprietaryDeploymentDescriptor()`
`java.lang.String` | `getRoutingId()`
`java.lang.String` | `getState()`
`java.lang.String` | `getWebSite()`
`boolean` | `hasApplicationRootDirectoryPath()`
`boolean` | `hasArchivePath()`
`boolean` | `hasChildApplicationNames()`
`boolean` | `hasConnectorModules()`
`boolean` | `hasDataSourcesDescriptor()`
`boolean` | `hasDeploymentDescriptor()`
`boolean` | `hasJdbcConnectionPools()`
`boolean` | `hasJdbcDrivers()`
`boolean` | `hasMetricRulesDescriptor()`
`boolean` | `hasNameAsParent()`
`boolean` | `hasOhsRouting()`
`boolean` | `hasParentApplication()`
`boolean` | `hasProprietaryDeploymentDescriptor()`
`boolean` | `hasRoutingId()`
`boolean` | `hasState()`
`boolean` | `hasWebSite()`
`void` | `setApplicationRootDirectoryPath(java.lang.String path)`
`void` | `setArchivePath(java.lang.String archivePath)`
`void` | `setChildApplicationNames(java.lang.String applicationNames)`
`void` | `setConnectorModules(OracleAppConnectorModule[] webModules)`
`void` | `setDataSourcesDescriptor(LogicalContent descriptor)`
`void` | `setDeploymentDescriptor(LogicalContent descriptor)`
`void` | `setJdbcConnectionPools(OracleAppJDBCConnectionPool[] connectionPools)`
`void` | `setJdbcDrivers(OracleAppJDBCDriver[] drivers)`
`void` | `setMetricRulesDescriptor(LogicalContent descriptor)`
`void` | `setNameAsParent(java.lang.String name)`
`void` | `setOhsRouting(boolean ohsRouting)`
`void` | `setParentApplication(OracleAppJ2EEApplication application)`
`void` | `setProprietaryDeploymentDescriptor(LogicalContent descriptor)`
`void` | `setRoutingId(java.lang.String routingId)`
`void` | `setState(java.lang.String state)`
`void` | `setWebSite(java.lang.String webSite)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEApplication
`getComponents, hasComponents, setComponents`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEDeployedObject
`getDomain, hasDomain, setDomain`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareModule
`getFile, getFileName, getName, getParent, hasFile, hasFileName, hasName, hasParent, setFile, setFileName, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.Provider
`getActivities, getAdvertisedInterfaces, getSAPs, hasActivities, hasAdvertisedInterfaces, hasSAPs, setActivities, setAdvertisedInterfaces, setSAPs`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getState

    java.lang.String getState()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setState

    void setState(java.lang.String state)

### hasState

    boolean hasState()

### getParentApplication

    OracleAppJ2EEApplication getParentApplication()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParentApplication

    void setParentApplication(OracleAppJ2EEApplication application)

### hasParentApplication

    boolean hasParentApplication()

### getConnectorModules

    OracleAppConnectorModule[] getConnectorModules()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setConnectorModules

    void setConnectorModules(OracleAppConnectorModule[] webModules)

### hasConnectorModules

    boolean hasConnectorModules()

### getDeploymentDescriptor

    LogicalContent getDeploymentDescriptor()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDeploymentDescriptor

    void setDeploymentDescriptor(LogicalContent descriptor)

### hasDeploymentDescriptor

    boolean hasDeploymentDescriptor()

### getProprietaryDeploymentDescriptor

    LogicalContent getProprietaryDeploymentDescriptor()
                                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProprietaryDeploymentDescriptor

    void setProprietaryDeploymentDescriptor(LogicalContent descriptor)

### hasProprietaryDeploymentDescriptor

    boolean hasProprietaryDeploymentDescriptor()

### getArchivePath

    java.lang.String getArchivePath()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setArchivePath

    void setArchivePath(java.lang.String archivePath)

### hasArchivePath

    boolean hasArchivePath()

### getDataSourcesDescriptor

    LogicalContent getDataSourcesDescriptor()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDataSourcesDescriptor

    void setDataSourcesDescriptor(LogicalContent descriptor)

### hasDataSourcesDescriptor

    boolean hasDataSourcesDescriptor()

### getJdbcConnectionPools

    OracleAppJDBCConnectionPool[] getJdbcConnectionPools()
                                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJdbcConnectionPools

    void setJdbcConnectionPools(OracleAppJDBCConnectionPool[] connectionPools)

### hasJdbcConnectionPools

    boolean hasJdbcConnectionPools()

### getJdbcDrivers

    OracleAppJDBCDriver[] getJdbcDrivers()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJdbcDrivers

    void setJdbcDrivers(OracleAppJDBCDriver[] drivers)

### hasJdbcDrivers

    boolean hasJdbcDrivers()

### getApplicationRootDirectoryPath

    java.lang.String getApplicationRootDirectoryPath()
                                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setApplicationRootDirectoryPath

    void setApplicationRootDirectoryPath(java.lang.String path)

### hasApplicationRootDirectoryPath

    boolean hasApplicationRootDirectoryPath()

### getChildApplicationNames

    java.lang.String getChildApplicationNames()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setChildApplicationNames

    void setChildApplicationNames(java.lang.String applicationNames)

### hasChildApplicationNames

    boolean hasChildApplicationNames()

### getMetricRulesDescriptor

    LogicalContent getMetricRulesDescriptor()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMetricRulesDescriptor

    void setMetricRulesDescriptor(LogicalContent descriptor)

### hasMetricRulesDescriptor

    boolean hasMetricRulesDescriptor()

### getOhsRouting

    boolean getOhsRouting()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOhsRouting

    void setOhsRouting(boolean ohsRouting)

### hasOhsRouting

    boolean hasOhsRouting()

### getRoutingId

    java.lang.String getRoutingId()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRoutingId

    void setRoutingId(java.lang.String routingId)

### hasRoutingId

    boolean hasRoutingId()

### getWebSite

    java.lang.String getWebSite()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWebSite

    void setWebSite(java.lang.String webSite)

### hasWebSite

    boolean hasWebSite()

### getNameAsParent

    java.lang.String getNameAsParent()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNameAsParent

    void setNameAsParent(java.lang.String name)

### hasNameAsParent

    boolean hasNameAsParent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD